package com.yunzhi.demo.common;

import com.yunzhi.demo.entity.SysUser;
import com.yunzhi.demo.entity.TaPerson;
import com.yunzhi.demo.service.ISysUserService;
import com.yunzhi.demo.service.ITaPersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class BaseController {

    @Autowired
    ISysUserService iSysUserService;

    @Autowired
    ITaPersonService iTaPersonService;

    /**
     * 获取当前管理端人员
     * @return
     */
    public SysUser getCurrentUser() {
        Map<String, Object> tokenParam = CurrentContext.getTokenParam();
        if (null == tokenParam) {
            return null;
        }

        if (null != tokenParam.get("miniApp")) {
            return null;
        }

        Object userId = tokenParam.get("userId");

        SysUser sysUser = iSysUserService.getById((String) userId);
        if (Constants.STATUS_DELETED.equals(sysUser.getStatus())) {
            return null;
        }

        return sysUser;
    }

    /**
     * 获取当前小程序端人员
     * @return
     */
    public TaPerson getCurrentPerson() {
        Map<String, Object> tokenParam = CurrentContext.getTokenParam();
        if (null == tokenParam) {
            return null;
        }

        if (null == tokenParam.get("miniApp")) {
            return null;
        }

        Object personId = tokenParam.get("userId");

        TaPerson taPerson = iTaPersonService.getById((String) personId);
        if (Constants.STATUS_DELETED.equals(taPerson.getStatus())) {
            return null;
        }

        return taPerson;
    }
}
