package com.yunzhi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 医务室
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdHospital对象", description="医务室")
public class TdHospital implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "医务室ID")
    @TableId(value = "hospital_id", type = IdType.INPUT)
    private String hospitalId;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "所属学校")
    private String schoolId;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateDate;


}
