package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.TaPost;
import com.yunzhi.demo.mapper.TaPostMapper;
import com.yunzhi.demo.service.ITaPostService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 文章表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaPostServiceImpl extends ServiceImpl<TaPostMapper, TaPost> implements ITaPostService {

    @Override
    public IPage<TaPost> getIndexList(IPage<TaPost> page) {
        QueryWrapper<TaPost> queryWrapper = new QueryWrapper<TaPost>()
                .eq("status", Constants.STATUS_NORMAL)
                .orderByDesc("create_date");
        return page(page, queryWrapper);
    }
}
